Skip to main content
PATCH
CLI

Authorizations

Authorization
string
header
required

API Key in Bearer format (e.g., Bearer sk_test_...)

Headers

X-API-Key
string

API key

Path Parameters

id
string
required

Body

application/json
name
string

Counterparty legal name

Example:

"Jane Doe"

beneficiaryType
enum<string>

Entity type (individual or business)

Available options:
INDIVIDUAL,
BUSINESS
Example:

"BUSINESS"

address
object | null

Counterparty address. Street lines are limited to 35 characters for international wire compatibility. Put city, region, and postal code in their own fields — not in the street lines.

Response

Counterparty updated successfully

id
string
required

Counterparty ID

Example:

"cp_abc123"

name
string
required

Counterparty legal name

Example:

"Jane Doe"

beneficiaryType
enum<string>
required

Entity type (individual or business)

Available options:
INDIVIDUAL,
BUSINESS
Example:

"INDIVIDUAL"

createdAt
string<date-time>
required

Creation timestamp

updatedAt
string<date-time>
required

Last update timestamp

address
object | null

Counterparty address